#ifndef CLOTHE_H
#define CLOTHE_H

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
#include "global/viewvar.h"
class clothe : public QWidget
{
    Q_OBJECT
public:
    explicit clothe(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QLabel *m_clotheIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QVBoxLayout *m_clotheLayout;
    QString clothepath = ":/res/contorl_icons/index_clothe.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
    void setFontSizeSignal(int);
};

#endif // CLOTHE_H
